.site-footer {
    background-color: #000;
    color: #fff;
    padding: 8rem 5% 4rem;
    position: relative;
    z-index: 999;
}

.footer-cta {
    border-bottom: 1px solid #333;
    padding-bottom: 4rem;
    margin-bottom: 3rem;
}

.footer-cta h2 {
    font-size: 4rem;
    margin-bottom: 2rem;
    font-weight: 300;
}

.email-link {
    font-size: 2.2rem;
    color: #fff;
    text-decoration: none;
    border-bottom: 2px solid #fff;
    transition: all 0.3s;
}

.email-link:hover {
    opacity: 0.6;
}

.footer-bottom {
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: 0.8rem;
    letter-spacing: 1px;
}

.social-links a {
    margin-left: 2rem;
    color: #888;
    text-decoration: none;
    transition: color 0.3s;
}

.social-links a:hover {
    color: #fff;
}

@media (max-width: 768px) {
    .footer-cta h2 {
        font-size: 1.8rem;
        margin-bottom: 0rem;
        font-weight: 300;
    }
    .email-link{
        font-size: 1.5rem;
    }
}